- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osModificationDemo/OSModificationDemo.cpp File Reference

`#include "OSConfig.h"`
`#include "OSCoinSolver.h"`
`#include "OSIpoptSolver.h"`
`#include "OSResult.h"`
`#include "OSiLReader.h"`
`#include "OSiLWriter.h"`
`#include "OSrLReader.h"`
`#include "OSrLWriter.h"`
`#include "OSInstance.h"`
`#include "OSoLWriter.h"`
`#include "OSFileUtil.h"`
`#include "OSDefaultSolver.h"`
`#include "OShL.h"`
`#include "OSErrorClass.h"`
`#include "OSmps2osil.h"`
`#include "OSBase64.h"`
`#include "OSMathUtil.h"`
`#include "OsiClpSolverInterface.hpp"`
`#include "OsiCbcSolverInterface.hpp"`
`#include "CbcModel.hpp"`
`#include <iostream>`

Include dependency graph for OSModificationDemo.cpp:

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

Definition at line 48 of file OSModificationDemo.cpp.

References OSInstance::addConstraint(), OSInstance::addObjective(), OSInstance::addVariable(), SparseVector::bDeleteArrays, OSInstance::bObjectivesModified, CoinSolver::buildSolverInstance(), OSInstance::bVariablesModified, Objective::coef, ErrorClass::errormsg, OSResult::getOptimalObjValue(), SparseVector::indexes, OSInstance::instanceData, ObjectiveValues::obj, Objectives::obj, OptimizationSolution::objectives, InstanceData::objectives, OSResult::optimization, OSDBL_MAX, DefaultSolver::osinstance, osinstance, DefaultSolver::osresult, DefaultSolver::osrl, OSInstance::setConstraintNumber(), OSInstance::setInstanceDescription(), OSInstance::setInstanceSource(), OSInstance::setLinearConstraintCoefficients(), OSInstance::setObjectiveNumber(), OSInstance::setVariableNumber(), OptimizationResult::solution, CoinSolver::solve(), DefaultSolver::sSolverName, Variable::ub, ObjValue::value, ObjCoef::value, ObjectiveSolution::values, SparseVector::values, Variables::var, InstanceData::variables, and OSiLWriter::writeOSiL().